Bug 59607 - errata breaks gnome status dock
Summary: errata breaks gnome status dock
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: XFree86   
(Show other bugs)
Version: 7.2
Hardware: i386 Linux
low
low
Target Milestone: ---
Assignee: Mike A. Harris
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-02-11 03:52 UTC by Gordon Messmer
Modified: 2005-10-31 22:00 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-13 07:16:46 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Gordon Messmer 2002-02-11 03:52:29 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.6) Gecko/20011120

Description of problem:
After upgrading to the errata release of XFree86 on Red Hat Linux 7.2, the gnome
status dock stops swallowing items, such as gabber's status icon.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install errata: gabber's icon comes up in its own window
2. Downgrade only the XFree86-4.1.0 package to release 3: gabber's icon is swallowed
3. Upgrade errata: gabber's icon comes up in a window again

Comment 1 Mike A. Harris 2002-02-11 08:55:56 UTC
I cant personally see how XFree86 could be involved with something as
high level as an app being swallowed by the GNOME status dock.

I'd be inclined to believe this is a bug in gabber, GNOME, gtk, or
the GNOME panel, however I'd need a lot more info in order to lean
toward it being a bug in anything in the XFree86 update.

Do all applications fail to dock, or just that one?  Provide as many
details as you can please.  Also, please try the following:

Start XFree86 with the following command instead of your usual method.
You will need to do this in runlevel 3:

startx &> /tmp/x.log

Then use gabber and whatever you normally use.  After the problem occurs,
please quit X, and then attach /tmp/x.log to the bug report using
the link below.  Thanks.
attach to the bug report the

Comment 2 Gordon Messmer 2002-02-13 07:12:45 UTC
Close this bug, please.  I apologise for submitting it.

I do not know why updating the X server caused this problem, but it does not
occur with the Red Hat supplied sawfish window manager, so I think it's
officially not your problem.

I did try this on an entirely separate machine running only Red Hat packages,
with all errata applied.  However, the only program I could think of on that
machine that used the status dock was KDE's CD player.  Swallowing KDE app icons
used to work, but apparently is now broken in GNOME entirely.  KDE had no
problem swallowing app icons from any application, including gabber, at any
point during testing.

Comment 3 Gordon Messmer 2002-02-13 07:13:49 UTC
Close this bug, please.  I apologise for submitting it.

I do not know why updating the X server caused this problem, but it does not
occur with the Red Hat supplied sawfish window manager, so I think it's
officially not your problem.

I did try this on an entirely separate machine running only Red Hat packages,
with all errata applied.  However, the only program I could think of on that
machine that used the status dock was KDE's CD player.  Swallowing KDE app icons
used to work, but apparently is now broken in GNOME entirely.  KDE had no
problem swallowing app icons from any application, including gabber, at any
point during testing.

Comment 4 Gordon Messmer 2002-02-13 07:14:53 UTC
Close this bug, please.  I apologise for submitting it.

I do not know why updating the X server caused this problem, but it does not
occur with the Red Hat supplied sawfish window manager, so I think it's
officially not your problem.

I did try this on an entirely separate machine running only Red Hat packages,
with all errata applied.  However, the only program I could think of on that
machine that used the status dock was KDE's CD player.  Swallowing KDE app icons
used to work, but apparently is now broken in GNOME entirely.  KDE had no
problem swallowing app icons from any application, including gabber, at any
point during testing.

Comment 5 Jonathan Blandford 2002-02-13 07:50:38 UTC
Closed at the request of the reporter.  Doesn't sound like a Red Hat bug, anyway.


Note You need to log in before you can comment on or make changes to this bug.